## org.opencyc.uml.statemachine
Class StateVertex

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.statemachine.StateVertex

Direct Known Subclasses:
  PseudoState, State, SynchState

public class StateVertex
extends org.opencyc.uml.core.ModelElement

StateVertex from the UML State_Machines package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected CompositeState` `container` the container of this state vertex
`protected java.util.ArrayList` `incoming` the incoming Transitions into this state vertex
`protected java.util.ArrayList` `outgoing` the outgoing Transitions from this state vertex

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`StateVertex()` Constructs a new StateVertex object.

Method Summary
`CompositeState` `getContainer()` Gets the container of this state vertex
`java.util.List` `getIncoming()` Gets the incoming Transitions into this state vertex
`java.util.List` `getOutgoing()` Gets the outgoing Transitions from this state vertex
`void` `setContainer(CompositeState container)` Sets the container of this state vertex
`void` `setIncoming(java.util.ArrayList incoming)` Sets the incoming Transitions into this state vertex
`void` `setOutgoing(java.util.ArrayList outgoing)` Sets the outgoing Transitions from this state vertex

Methods inherited from class org.opencyc.uml.core.ModelElement
`equals, getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### container

    protected CompositeState container

  the container of this state vertex

### outgoing

    protected java.util.ArrayList outgoing

  the outgoing Transitions from this state vertex

### incoming

    protected java.util.ArrayList incoming

  the incoming Transitions into this state vertex

Constructor Detail

### StateVertex

    public StateVertex()

  Constructs a new StateVertex object.

Method Detail

### getContainer

    public CompositeState getContainer()

  Gets the container of this state vertex
  Returns:
    the container of this state vertex

### setContainer

    public void setContainer(CompositeState container)

  Sets the container of this state vertex
  Parameters:
    `container` - the container of this state vertex

### getOutgoing

    public java.util.List getOutgoing()

  Gets the outgoing Transitions from this state vertex
  Returns:
    the outgoing Transitions from this state vertex

### setOutgoing

    public void setOutgoing(java.util.ArrayList outgoing)

  Sets the outgoing Transitions from this state vertex
  Parameters:
    `outgoing` - the outgoing Transitions from this state vertex

### getIncoming

    public java.util.List getIncoming()

  Gets the incoming Transitions into this state vertex
  Returns:
    the incoming Transitions into this state vertex

### setIncoming

    public void setIncoming(java.util.ArrayList incoming)

  Sets the incoming Transitions into this state vertex
  Parameters:
    `incoming` - the incoming Transitions into this state vertex